%% This is to calculate the PBI scalar value; minimization problem is assumed.
function PBIscalarValue = PBIscalar(curInd,curW,z,thetaPBI)
%inputPoints = [0.5 0.25]; directions = [0.5 0.5]; z = [0 0];
    % d1 = norm(curInd-z)* sum(curInd/norm(curInd).* curW/norm(curW));
    % d2 = sqrt(norm(curInd-z).^2-d1.^2);
    d1 = norm((curInd-z)*curW')/norm(curW);
    d2 = norm(curInd-(z+d1*curW/norm(curW)));
    PBIscalarValue = d1+thetaPBI*d2;
end