PBItheta = 1;

bestobjv = Inf*ones(1,M);
bestphen = NaN*ones(1,nVar);
Normbestobjv = Inf*ones(1,M);
MaxAllobjv = zeros(jointWnum,1);
jointP = crtrp(jointFnum,bounds);
jointF = objv_function(jointP,nVar,M,testNo,testType,s_bounds);
nr = 2; %max([T*0.2,2]);

z = zeros(1,M)-0.001;
jointW = 1./(jointWD+0.0000001);
jointW = jointW./repmat(sum(jointW,2),[1,M]);
figure();
for gen = 1:maxGen
    %{
    %ڵ50ֹͣһΣ۲ٶЧ
    if gen==51
    ginput(1)
    end
    %}
    tempjointP = jointP; tempjointF = jointF;
    for i = 1:jointWnum
        neighborWix = WdegreeMatrix(i,:);
        if rand<0.8
            ix = randperm(T);
            varix = neighborWix(ix(1:2));
        else
            ix = randperm(jointWnum);
            varix = ix(1:2);
        end
        tempP = tempjointP(varix,:); 
        tempP = sbx_sal(tempP, bounds, 15, 0, 1, 1,0.5);
        tempP = polymut_sal(tempP, bounds, 20, 1/nVar);
        newP = tempP(1,:);
        newF = objv_function(newP,nVar,M,testNo,testType,s_bounds);
        %normAllJointF = [newF;jointF];
        normAllJointF = normliseData([newF;jointF],[newF;jointF]);
        NormNewF = normAllJointF(1,:);
        NormJointF = normAllJointF(2:end,:);
        %% evaluation
        %MaxAllobjv = max(jointW.*(abs(NormJointF-rep(z,[jointFnum,1]))),[],2); %Chebyshef method
        for wi = 1:jointWnum
            MaxAllobjv(wi,:) = PBIscalar(NormJointF(wi,:),jointW(wi,:),z,PBItheta);
        end
        
        %% update process
        updateNum = 1;
        counter = 1;
        ixGroup = [1,1+randperm(T-1)]; % To guarantee that comparision is made with its parent first
        while(updateNum <= nr+1)
            ix = ixGroup(counter); %ix = unidrnd(T);
            jointWindex = neighborWix(ix);
            %MaxNewobjv = max(abs(NormNewF - z) .*jointW(jointWindex,:)); % Chebyshef method
            MaxNewobjv = PBIscalar(NormNewF,jointW(jointWindex,:),z,PBItheta);
            if(MaxNewobjv < MaxAllobjv(jointWindex))
                jointP(jointWindex,:) = newP;
                jointF(jointWindex,:) = newF;
                NormJointF(jointWindex,:) = NormNewF;
                MaxAllobjv(jointWindex) = MaxNewobjv;
                updateNum = updateNum+1;
            end
            counter = counter + 1;
            if(counter > T)
                break;
            end
        end
    end
    %% show the results
    for offlinei = 1:1
        Cobjvix = find_nd(jointF);
        Hobjv =  jointF(logical(Cobjvix),:);
        NormHobjv =  NormJointF(logical(Cobjvix),:);
        HP = jointP(logical(Cobjvix),:);
        
        [ix,bestix] = find_nd(Hobjv,bestobjv);
        bestobjv = [bestobjv(logical(bestix),:) ; Hobjv(logical(ix),:)];
        Normbestobjv = [Normbestobjv(logical(bestix),:) ; NormHobjv(logical(ix),:)];
        bestphen = [bestphen(logical(bestix),:) ; HP(logical(ix),:)];
        bestNum = size(bestobjv,1);
        if bestNum>N
            [bestobjv,index] = reducer(bestobjv, M, N);
            Normbestobjv = Normbestobjv(index,:);
            bestphen = bestphen(index,:);
        end
    end
    %% Plot the results
    showHobjv = Hobjv; showbestobjv = bestobjv; showjointW = jointWD;
    for i= 1:1
        
            subplot(121)
            if M==2
                plot(showHobjv(:,1), showHobjv(:,2), 'o',normpStar(:,1),normpStar(:,2),'.'), axis square
           else
                plot(showbestobjv(:,1), showbestobjv(:,2), '*',showjointW(:,1),showjointW(:,2),'o'), axis([0 Fbounds(1) 0 Fbounds(2)])
            end
            title(['PBI:WFG',num2str(testNo),'-',num2str(M),'--',num2str(gen)]);
            grid on
            
            subplot(122)
            if M==2
                plot(showbestobjv(:,1), showbestobjv(:,2), 'o',normpStar(:,1),normpStar(:,2),'.'),  axis square
            else
                plot(showbestobjv(:,1), showbestobjv(:,2), '*'), axis([0 Fbounds(1) 0 Fbounds(2)])
            end
            
            title(['PBI:WFG',num2str(testNo),'-',num2str(M),'--',num2str(gen)]);
            grid on
            %pause
        
        drawnow
    end
end